Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.event
Class PreRenderComponentEvent

    java.lang.Object
      java.util.EventObject
          javax.faces.event.SystemEvent
              javax.faces.event.ComponentSystemEvent
                  javax.faces.event.PreRenderComponentEvent

All Implemented Interfaces:
  java.io.Serializable

    public class PreRenderComponentEvent

extends ComponentSystemEvent

When an instance of this event is passed to `SystemEventListener.processEvent(javax.faces.event.SystemEvent)` or `ComponentSystemEventListener.processEvent(javax.faces.event.ComponentSystemEvent)`, the listener implementation may assume that the `source` of this event instance is the `UIComponent` instance that is about to be rendered and that it is safe to call `UIComponent.getParent()`, `UIComponent.getClientId()`, and other methods that depend upon the component instance being in the view.

Since:
  2.0
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`PreRenderComponentEvent(UIComponent component)` Instantiate a new `PreRenderComponentEvent` that indicates the argument `component` is about to be rendered.

Method Summary

Methods inherited from class javax.faces.event.ComponentSystemEvent
`getComponent`

Methods inherited from class javax.faces.event.SystemEvent
`isAppropriateListener, processListener`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PreRenderComponentEvent

    public PreRenderComponentEvent(UIComponent component)

  Instantiate a new `PreRenderComponentEvent` that indicates the argument `component` is about to be rendered.

  Parameters:
    `component` - the `UIComponent` that is about to be rendered.
  Throws:
    ``IllegalArgumentException`` - if the argument is `null`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.